

drivers/scsi/aic7xxx/aic7xxx_osm_pci.c: In function `ahc_linux_pci_dev_probe':
drivers/scsi/aic7xxx/aic7xxx_osm_pci.c:229: warning: large integer implicitly truncated to unsigned type


Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/drivers/scsi/aic7xxx/aic7xxx_osm_pci.c |    2 +-
 1 files changed, 1 insertion(+), 1 deletion(-)

diff -puN drivers/scsi/aic7xxx/aic7xxx_osm_pci.c~aic-warning-fix drivers/scsi/aic7xxx/aic7xxx_osm_pci.c
--- 25/drivers/scsi/aic7xxx/aic7xxx_osm_pci.c~aic-warning-fix	2004-11-07 23:08:23.868142192 -0800
+++ 25-akpm/drivers/scsi/aic7xxx/aic7xxx_osm_pci.c	2004-11-07 23:08:29.442294792 -0800
@@ -226,7 +226,7 @@ ahc_linux_pci_dev_probe(struct pci_dev *
 	}
 	pci_set_master(pdev);
 
-	mask_39bit = 0x7FFFFFFFFFULL;
+	mask_39bit = (dma_addr_t)0x7FFFFFFFFFULL;
 	if (sizeof(dma_addr_t) > 4
 	 && ahc_linux_get_memsize() > 0x80000000
 	 && pci_set_dma_mask(pdev, mask_39bit) == 0) {
_
